#include<stdio.h>

int main(){

  int n,cj,cd,cs,a,b,c,d,e,f,min;
  scanf("%d",&n);
  if(n>999 || n<100){
    printf("-1\n");
    return 1;
  }
  cj=n%10;
  cd=(n/10)%10;
  cs=n/100;
  a=cs*100+cj*10+cd;
  b=cs*100+cd*10+cj;
  c=cd*100+cs*10+cj;
  d=cd*100+cj*10+cs;
  e=cj*100+cs*10+cd;
  f=cj*100+cd*10+cs;
  min=a;
  if(b<=min)
    min=b;
  if(c<=min)
    min=c;
  if(d<=min)
    min=d;
  if(e<=min)
    min=e;
  if(f<=min)
    min=f;
  printf("%d\n",min);
  return 0;
}
